### Enumeration

# GWeather SpeedUnit

#### Declaration

    enum GWeather.SpeedUnit

#### Description [src]

The measure unit to use for wind speed values, when retrieved by gweather_info_get_value_wind().

#### Members

`GWEATHER_SPEED_UNIT_INVALID`

  Invalid unit.

  - Value: `0`
  - Available since: 4.0
`GWEATHER_SPEED_UNIT_DEFAULT`

  The user preferred speed unit.

  - Value: `1`
  - Available since: 4.0
`GWEATHER_SPEED_UNIT_MS`

  Meters per second.

  - Value: `2`
  - Available since: 4.0
`GWEATHER_SPEED_UNIT_KPH`

  Kilometers per hour.

  - Value: `3`
  - Available since: 4.0
`GWEATHER_SPEED_UNIT_MPH`

  Miles per hour.

  - Value: `4`
  - Available since: 4.0
`GWEATHER_SPEED_UNIT_KNOTS`

  Knots.

  - Value: `5`
  - Available since: 4.0
`GWEATHER_SPEED_UNIT_BFT`

  Beaufort scale.

  - Value: `6`
  - Available since: 4.0

#### Type functions

###### gweather_speed_unit_to_string

Creates a human-readable, localized representation of `unit`.